Closed Bug 933603 Opened 8 years ago Closed 8 years ago

asklaila.com isn't redirecting to mobile site on Firefox OS

Categories

(Web Compatibility :: Mobile, defect)

Other
Gonk (Firefox OS)
defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: haseeb, Assigned: haseeb)

References

()

Details

(Whiteboard: [mobile-compat-form][country-in][serversniff][sitewait])

Site: http://www.asklaila.com/
asklaila.com isn't redirecting to mobile site on Firefox OS

:: Steps To Reproduce

1.Open Firefox browser
2.Enter asklaila.com


:: Expected Result

http://m.asklaila.com/m/blr mobile site

:: Actual Result

http://www.asklaila.com/Bangalore?ipcitydetected=true Desktop site

:: Additional Information

Software Version: Firefox OS simulator 4.0
Reporter's User Agent: Mozilla/5.0 (X11; Linux i686) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/28.0.1500.71 Chrome/28.0.1500.71 Safari/537.36
Server side redirection:

mtaylor at omg-2 in ~/tmp
$ http --print=Hh GET http://www.asklaila.com User-Agent:"$FFOS"
GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.asklaila.com
User-Agent: Mozilla/5.0 (Mobile; rv:18.1) Gecko/18.1 Firefox/18.1

HTTP/1.1 200 OK
Cache-Control: no-cache
Connection: close
Content-Encoding: gzip
Content-Language: en-US
Content-Length: 8766
Content-Type: text/html;charset=utf-8
Date: Tue, 05 Nov 2013 19:48:39 GMT
Expires: Thu, 01 Jan 1970 05:30:00 IST
Pragma: No-cache
Server: Apache/2.2.3 (Red Hat)
Set-Cookie: JSESSIONID=D64308F638B29DBC599C035B6F05830D; Path=/
Set-Cookie: JSESSIONID=D64308F638B29DBC599C035B6F05830D; Domain=asklaila.com; Path=/
Set-Cookie: b=1|0000000029cf4721689c261d5b3e9a69; Domain=asklaila.com; Expires=Fri, 03-Nov-2023 19:48:39 GMT; Path=/
Vary: Accept-Encoding

mtaylor at omg-2 in ~/tmp
$ http --print=Hh GET http://www.asklaila.com User-Agent:"$FFA"
GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.asklaila.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:25.0) Gecko/25.0 Firefox/25.0

HTTP/1.1 302 Moved Temporarily
Cache-Control: no-cache
Connection: close
Content-Encoding: gzip
Content-Length: 20
Content-Type: text/html; charset=UTF-8
Date: Tue, 05 Nov 2013 19:48:49 GMT
Expires: Thu, 01 Jan 1970 05:30:00 IST
Location: http://m.asklaila.com/m/
Pragma: No-cache
Server: Apache/2.2.3 (Red Hat)
Set-Cookie: JSESSIONID=EE76031A35A6B29E1A39BE178DE3E096; Path=/
Vary: Accept-Encoding

We need to ask them to send the Firefox OS UA to the mobile site, just like they do for Firefox for Android.
Status: UNCONFIRMED → NEW
Ever confirmed: true
Whiteboard: [mobile-compat-form] → [mobile-compat-form][country-in][serversniff][contactready]
Contacted via Twitter https://twitter.com/haseeb_offline/status/398056851956187136
Whiteboard: [mobile-compat-form][country-in][serversniff][contactready] → [mobile-compat-form][country-in][serversniff][contactready][sitewait]
Status: NEW → ASSIGNED
Whiteboard: [mobile-compat-form][country-in][serversniff][contactready][sitewait] → [mobile-compat-form][country-in][serversniff][sitewait]
Assignee: nobody → Abdulraufhaseeb
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → WORKSFORME
This is not fixed. A hardcoded 18.1 version of the full string has been implemented. Not a generic detection. Please if you are working for Asklaila. Detect "mobi" string after converting the user agent to lowercase.
Thanks. :)


→ http --print=Hh GET http://www.asklaila.com User-Agent:"Mozilla/5.0 (Mobile; rv:18.1) Gecko/18.1 Firefox/18.1"

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.asklaila.com
User-Agent: Mozilla/5.0 (Mobile; rv:18.1) Gecko/18.1 Firefox/18.1

HTTP/1.1 302 Moved Temporarily
Cache-Control: no-cache
Connection: close
Content-Encoding: gzip
Content-Length: 20
Content-Type: text/html; charset=UTF-8
Date: Wed, 19 Mar 2014 08:59:34 GMT
Expires: Thu, 01 Jan 1970 05:30:00 IST
Location: http://m.asklaila.com/m/
Pragma: No-cache
Server: Apache/2.2.3 (CentOS)
Set-Cookie: JSESSIONID=DFA8FF52925C3FA7E651FAC1E1A1E716; Path=/
Vary: Accept-Encoding


It fails with Firefox/26.

→ http --print=Hh GET http://www.asklaila.com User-Agent:"Mozilla/5.0 (Mobile; rv:26) Gecko/26 Firefox/26"

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.asklaila.com
User-Agent: Mozilla/5.0 (Mobile; rv:26) Gecko/26 Firefox/26

HTTP/1.1 200 OK
Cache-Control: no-cache
Connection: close
Content-Encoding: gzip
Content-Language: en-US
Content-Length: 8646
Content-Type: text/html;charset=utf-8
Date: Wed, 19 Mar 2014 08:59:51 GMT
Expires: Thu, 01 Jan 1970 05:30:00 IST
Pragma: No-cache
Server: Apache/2.2.3 (CentOS)
Set-Cookie: JSESSIONID=3319E0DE3857C3D1A449E8235F10DD40; Path=/
Set-Cookie: JSESSIONID=3319E0DE3857C3D1A449E8235F10DD40; Domain=asklaila.com; Path=/
Set-Cookie: b=1|00000000d99172386f89223b12d2415f; Domain=asklaila.com; Expires=Sat, 16-Mar-2024 08:59:51 GMT; Path=/
Vary: Accept-Encoding
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
We are looking into this. Will update you soon.
Tests say fixed, WFM! Also on 1.4, which isn't calling itself 18.1, so I assume the fix is improved.
Status: REOPENED → RESOLVED
Closed: 8 years ago8 years ago
Resolution: --- → FIXED
Product: Tech Evangelism → Web Compatibility
You need to log in before you can comment on or make changes to this bug.